/*   color variables */
$clr-primary: #d0def2;
$clr-primary-light: #f3f8fe;
$clr-primary-dark: #a7bad3;
$clr-gray100: #f9fbff;
$clr-gray150: #f4f6fb;
$clr-gray200: #eef1f6;
$clr-gray300: #e1e5ee;
$clr-gray400: #767b91;
$clr-gray500: #4f546c;
$clr-gray600: #2a324b;
$clr-gray700: #161d34;

/*   border radius */
$radius: 0.2rem;

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: Lato, sans-serif;
  height: 100vh;
  display: grid;
  justify-content: center;
  align-items: center;
  color: $clr-gray500;
  font-size: 0.9rem;
  background-color: $clr-primary-light;
}

table {
  border-collapse: collapse;
  box-shadow: 20px 20px 20px 5px $clr-primary-dark;
  background-color: white;
  text-align: left;

  th {
    background-color: $clr-primary;
    padding: 0.75rem 2rem;
    text-transform: uppercase;
    letter-spacing: 0.1rem;
    font-size: 0.7rem;
    font-weight: 900;
  }

  td {
    padding: 1rem 2rem;
  }

  //   Color alternating rows
  tr:nth-child(even) {
    background-color: $clr-primary-light;
  }
}
